#506 rexx manpage error on Ubuntu w/ 7.04 package

v4.0
closed
None
5
2012-08-14
2008-04-13
mdlueck
No

I was doing some initial testing on Ubuntu Hardy 8.04, set to release soon. I got an error trying to 'man rexx' as follows:

mdlueck@eve:~$ rexx -v
Open Object Rexx Interpreter Version 3.2.0 for LINUX
Build date: Oct 30 2007
Copyright (c) IBM Corporation 1995, 2004.
Copyright (c) RexxLA 2005-2007.
All Rights Reserved.
This program and the accompanying materials
are made available under the terms of the Common Public License v1.0
which accompanies this distribution.
http://www.oorexx.org/license.html

Syntax is "rexx [-v] filename [arguments]"
or "rexx [-e] program_string [arguments]".
mdlueck@eve:~$ which rexx
/usr/bin/rexx
mdlueck@eve:~$ man rexx
man: warning: /usr/share/man/man1/rexx.1 is a dangling symlink
No manual entry for rexx
See 'man 7 undocumented' for help when manual pages are not available.
mdlueck@eve:~$

Discussion

  • mdlueck

    mdlueck - 2008-04-13

    Logged In: YES
    user_id=1014305
    Originator: YES

    Oh, I installed via the Ubuntu 7.04 package.

     
  • mdlueck

    mdlueck - 2008-04-13

    Logged In: YES
    user_id=1014305
    Originator: YES

    I guess I had not tested 'man rexx' with the 3.2 version of ooRexx. Same error on another system with Ubuntu 7.04, so I updated the summary line.

     
  • Mark Miesfeld

    Mark Miesfeld - 2008-04-13

    Logged In: YES
    user_id=191588
    Originator: NO

    I believe this may have been fixed with patch: [ 1827428 ] man pages category wrong.

    Moritz committed revision 1274 as a fix.

     
  • mdlueck

    mdlueck - 2008-04-13

    Logged In: YES
    user_id=1014305
    Originator: YES

    I had not looked at the list of patches, merely bugs, and saw none against the deb package.

    So has that patch resulted in an updated version of this particular deb package that I should test, or just fixed in svn for now?

    Thanks!

     
  • mdlueck

    mdlueck - 2008-07-02

    Logged In: YES
    user_id=1014305
    Originator: YES

    Can the packages of 3.2 be updated, or must we wait until a next release of ooRexx to get this one fixed?

    I looked up the diff attached to "[ 1827428 ] man pages category wrong" and see only four entries in that diff. I see only four entries in that diff. I found/corrected five entries related to ooRexx on my system. They were/are as follows:

    [Broken as installed with the package]
    mdlueck@aleks:/usr/share/man/man1$ ls -al|grep Rexx
    lrwxrwxrwx 1 root root 27 2008-02-07 19:27 rexx.1 -> /opt/ooRexx/man/man1/rexx.1
    lrwxrwxrwx 1 root root 28 2008-02-07 19:27 rexxc.1 -> /opt/ooRexx/man/man1/rexxc.1
    lrwxrwxrwx 1 root root 32 2008-02-07 19:27 rxmigrate.1 -> /opt/ooRexx/man/man1/rxmigrate.1
    lrwxrwxrwx 1 root root 30 2008-02-07 19:27 rxqueue.1 -> /opt/ooRexx/man/man1/rxqueue.1
    lrwxrwxrwx 1 root root 31 2008-02-07 19:27 rxsubcom.1 -> /opt/ooRexx/man/man1/rxsubcom.1
    mdlueck@aleks:/usr/share/man/man1$

    [Working - fixed by hand]
    mdlueck@aleks:/usr/share/man/man1$ ls -al|grep Rexx
    lrwxrwxrwx 1 root root 33 2008-07-02 11:38 rexx.1 -> /opt/ooRexx/share/man/man1/rexx.1
    lrwxrwxrwx 1 root root 34 2008-07-02 11:39 rexxc.1 -> /opt/ooRexx/share/man/man1/rexxc.1
    lrwxrwxrwx 1 root root 38 2008-07-02 11:40 rxmigrate.1 -> /opt/ooRexx/share/man/man1/rxmigrate.1
    lrwxrwxrwx 1 root root 36 2008-07-02 11:41 rxqueue.1 -> /opt/ooRexx/share/man/man1/rxqueue.1
    lrwxrwxrwx 1 root root 37 2008-07-02 11:42 rxsubcom.1 -> /opt/ooRexx/share/man/man1/rxsubcom.1
    mdlueck@aleks:/usr/share/man/man1$

    So I am suspicious if rxmigrate.1 was not addressed in that diff at all.

     
  • Moritz Hoffmann

    Moritz Hoffmann - 2008-07-04

    Logged In: YES
    user_id=1267170
    Originator: NO

    Hi,
    I guess rxmigrate is not included in the patch as it will not be supported anymore. Its purpose was to change identifiers in tokenized code to run on new versions of Object Rexx. Due to major changes in the interpreter this will be broken at some time. There are fundamental changes that could not be easily adapted.
    Still, I must have missed it in the commit. I also guess the current release (3.2.0) will not be updated.
    Moritz

    PS: If you need a patched deb file I can try to build one.

     
  • mdlueck

    mdlueck - 2008-07-04

    Logged In: YES
    user_id=1014305
    Originator: YES

    PS: If you need a patched deb file I can try to build one.

    Yes, that would be most helpful, thanks!

    Thanks for the explanation of the fifth binary.

     
  • Mark Miesfeld

    Mark Miesfeld - 2008-07-18

    Logged In: YES
    user_id=191588
    Originator: NO

    Committed revision 2727

    Michael, I fixed the problems with the install related to the man pages. And yes, you are going to have to wait until the release package, unless you want to build a package for debian yourself.

    Old dangling symlinks might not get removed. It looks as through there were various mispellings over time and I'm not going to have the post remove scripts just blindly delete things. I don't think it is too much of a burden for a user to remove a dangling sym link if it annoys them. Going forward it should be cleaner.

     
  • Mark Miesfeld

    Mark Miesfeld - 2010-02-19

    The fix for this item was in the 4.0.0 release.

     


Anonymous

Cancel  Add attachments





Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks